<?php

/**
 * This template is loaded instead of the ticket selector template when a user is not
 * signed in. It displays a message informing people that they must sign in with a
 * link to do so that returns them back to this URL afterwards.
 *
 * @since 1.0.0
 *
 * @param (array) $template_args - The template args passed to this template including an event object
 * @return null
 */

$event_id 			= $template_args['EVT_ID'];
$event_permalink 	= get_permalink( $event_id );

$login_url 			= wp_login_url( $event_permalink );
$registration_url 	= 'https://www.cwl.ubc.ca/SignUp/cwlsubscribe/SelfSubscribeIndex.do';

?>

<div class="ubc-you-must-login-message highlight-message">

	<h3 class="event-login-required ee-event-h3">
		<span class="dashicons dashicons-lock"></span>
		Registration Required
	</h3>

	<p>At this time we require everyone - UBC affiliated or otherwise - to register for the CTLT events system. If you already have a CWL please <a href="<?php echo esc_url( $login_url ); ?>" title="Sign in to the UBC CTLT Events System">sign in</a>. However, if you do not have a campus-wide login, then please <a href="<?php echo esc_url( $registration_url ); ?>" title="Register for a UBC CWL">register for a BASIC cwl account</a> (you will see basic as the bottom option on the 3rd screen)</p>

</div><!-- .highlight-message -->
